#!/bin/bash

touch config.omk-default
echo "SUBDIRS $OP \$(ALL_OMK_SUBDIRS)" > Makefile.omk
WVPASS bash -o pipefail -c 'make 2>&1 | tee output'
grep make-in-dir1 output || error "Make was not called in dir1" 
grep make-in-dir2 output || error "Make was not called in dir2"
grep make-in-dir3 output && error "Make shouldn't be called in dir3" 

exit 0
